#
# spec file for package python-python-magic
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
%define         oldpython python
Name:           python-python-magic
Version:        0.4.13
Release:        2.1
Summary:        File type identification using libmagic
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://github.com/ahupp/python-magic
Source:         https://files.pythonhosted.org/packages/source/p/python-magic/python-magic-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  file
Requires:       file
# python-python-magic and python-magic use the same namespace (ie. filename)
# and have a very similar functionality but are incompatible to each other.
# Upstream discussions:
# https://github.com/ahupp/python-magic/issues/21
# https://github.com/ahupp/python-magic/issues/33
# https://github.com/ahupp/python-magic/issues/57
Conflicts:      python-magic
%ifpython2
Conflicts:      %{oldpython}-magic
%endif
BuildArch:      noarch

%python_subpackages

%description
This module uses ctypes to access the libmagic file type
identification library.  It makes use of the local magic database and
supports both textual and MIME-type output.

%prep
%setup -q -n python-magic-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
pushd test
export PYTHONPATH='..'
export LANG=en_US.UTF-8
%python_exec test.py
popd
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/magic.py*
%pycache_only %{python_sitelib}/__pycache__/magic*.py*
%{python_sitelib}/python_magic-%{version}-py*.egg-info

%changelog
* Thu Sep 14 2017 toddrme2178@gmail.com
- Fix python-magic conflicts
* Thu Sep  7 2017 toddrme2178@gmail.com
- Implement single-spec version.
- Update to version 0.4.13
  * No changelog
* Tue Feb  3 2015 toddrme2178@gmail.com
- Explicitly require file
* Mon Feb  2 2015 toddrme2178@gmail.com
- Initial version
